gio-0.12.4: Binding to the GIO.

Portability | portable (depends on GHC)
Stability | alpha
Maintainer | gtk2hs-devel@lists.sourceforge.net
Safe Haskell | None

System.GIO.Icons.EmblemedIcon

Contents

- Details
- Types
- Methods

Description

Synopsis

- newtype EmblemedIcon = EmblemedIcon (ForeignPtr EmblemedIcon)
- class GObjectClass o => EmblemedIconClass o
- emblemedIconNew :: (IconClass icon, EmblemClass emblem) => icon -> emblem -> IO EmblemedIcon
- emblemedIconGetIcon :: EmblemedIconClass emblemed => emblemed -> IO Icon
- emblemedIconGetEmblems :: EmblemedIconClass emblemed => emblemed -> IO [Emblem]
- emblemedIconAddEmblem :: EmblemedIconClass emblemed => emblemed -> Emblem -> IO ()

# Details

`EmblemedIcon` is an implementation of `Icon` that supports adding an emblem to an icon. Adding multiple emblems to an icon is ensured via `emblemedIconAddEmblem`.

Note that `Emblem`edIcon allows no control over the position of the emblems. See also `Emblem` for more information.

# Types

newtype EmblemedIcon

Constructors

EmblemedIcon (ForeignPtr EmblemedIcon) |

Instances

Eq EmblemedIcon |
Ord EmblemedIcon |
GObjectClass EmblemedIcon |
EmblemedIconClass EmblemedIcon |

class GObjectClass o => EmblemedIconClass o

Instances

EmblemedIconClass EmblemedIcon |

# Methods

emblemedIconNew :: (IconClass icon, EmblemClass emblem) => icon -> emblem -> IO EmblemedIcon

Creates a new emblemed icon for icon with the emblem emblem.

emblemedIconGetIcon

Arguments

:: EmblemedIconClass emblemed |
=> emblemed |
-> IO Icon | returns a `Icon` that is owned by emblemed

Gets the main icon for emblemed.

emblemedIconGetEmblems

Arguments

:: EmblemedIconClass emblemed |
=> emblemed |
-> IO [Emblem] | returns a list of `Emblem` s that is owned by emblemed

Gets the list of emblems for the icon.

emblemedIconAddEmblem :: EmblemedIconClass emblemed => emblemed -> Emblem -> IO ()

Adds emblem to the `Emblem`.